## camomile 0.8.3

=== debian/changelog ===
camomile (0.8.3-2build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 12:00:28 +0000

camomile (0.8.3-2) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Aug 2011 22:58:00 +0200

camomile (0.8.3-1) experimental; urgency=low

  * Team upload
  * New upstream release (Closes: #631640)
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 29 Jul 2011 18:56:12 +0200

camomile (0.7.2-2) unstable; urgency=low

  * Upgrade standards-version to 3.8.3 (no change)
  * Use dh-ocaml 0.9 features

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 03 Nov 2009 22:34:10 +0000

camomile (0.7.2-1) unstable; urgency=low

  * New Upstream Version
  * Upgrade standards-version to 3.8.2 (section ocaml)
  * Tighten Build Depends for OCaml 3.11.1 transition (findlib)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 02 Jul 2009 21:58:22 +0000

camomile (0.7.1-5) unstable; urgency=low

  * Switch packaging to git
  * Remove obsolete debian/control.in related variables and files
  * Remove dpkg-dev build-dependency since source:Version is now
    standard
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Set maintainer to Debian OCaml Maintainers
  * Upgrade debian/compat to 7 (use debian/clean)
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add Homepage field to debian/control

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 12:41:41 +0100

camomile (0.7.1-4) experimental; urgency=low

  [ Sylvain Le Gall ]
  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Romain Beauxis ]
  * Upload to experimental to build against ocaml 3.11
  * Versioned ocaml-relared build-deps to avoid confusion.
  * Added build-dep on dh-ocaml.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 14 Dec 2008 00:11:29 +0100

camomile (0.7.1-3) unstable; urgency=low

  * Build for ocaml 3.10.0
  * Move API documentation in to usr/share/doc/libcamomile-ocaml-dev/html/api

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:26:44 +0200

camomile (0.7.1-2) experimental; urgency=low

  * Change email address to gildor@debian.org everywhere
  * Upgrade debian/watch version to 3,
  * Use ocaml.mk for CDBS,
  * Add extra double quote to protect the variable inside the
    Makefile,
  * Modify debian/xml-man/Makefile to disable result output
    of xmllint command,
  * Modify debian/xml-man/*.xml to remove some comments,
  * Remove ocaml-nox depends in debian/control.in (added through
    ocaml.mk),
  * Remove libcamomile-ocaml-dev.dirs when cleaning (generated by
    ocaml.mk),
  * Change watch URL to sf.net
  * Use CDBS docbook classes and po4a for documentation
  * Rebuild for ocaml 3.10.0
  * Add camlp4 dependency

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 08 Jul 2007 01:43:41 +0200

camomile (0.7.1-1) unstable; urgency=low

  * New upstream release, ship with META.in (Closes: #389470)
  * Use CDBS for debian/rules,
  * Upgrade debhelper debian/compat to 5,
  * Write manpages for camomilecharmap and camomilelocaledef,

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 24 Oct 2006 01:05:04 +0200

camomile (0.6.6-1) unstable; urgency=low

  * New upstream release
  * Correct standards version (3.7.2.0->3.7.2)
  * Remove Debian OCaml Maintainer as uploader (this is non sense)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 11 Jul 2006 22:46:25 +0200

camomile (0.6.5-1) unstable; urgency=low

  * New upstream release,
  * Change my email address,
  * Acknowledge NMU from Ralf Treinen (thanks for doing it),
  * Upgrade standards version to 3.7.2.0 (no change),
  * Apply a tip to made the package binNMU safe, thanks to Aaron M. Ucko, for
    suggesting to use dpkg-dev(>= 1.13.19) and substituting ${source:Version}
    for ${Source-Version} (Closes: #370007),
  * Add debian-ocaml-maint@lists.debian.org as uploaders... because this
    package stands in the pkg-ocaml-maint snv repository,

 -- Sylvain Le Gall <gildor@debian.org>  Fri,  9 Jun 2006 00:30:18 +0200

camomile (0.6.3-3.1) unstable; urgency=low

  * NMU for transition OCaml 3.09.1 -> 3.09.2
  * Rebuild for OCaml 3.09.2
  * debian/rules: declared the target "debian/control" as phony

 -- Ralf Treinen <treinen@debian.org>  Wed,  7 Jun 2006 22:46:20 +0200

camomile (0.6.3-3) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 22:45:08 +0100

camomile (0.6.3-2) unstable; urgency=low

  * Update patch makefile to support compilation on non-opt platform
    (Closes: #343874)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon, 19 Dec 2005 23:45:08 +0100

camomile (0.6.3-1) unstable; urgency=low

  * Initial upload ( closes: #211991 )
  * Split packages into libcamomile-ocaml-dev and libcamomile-ocaml-data
    because there is a lot of arch-indep data file
  * The name of the package in the archive will be libcamomile-ocaml-dev
    following the ocaml policy convention
  * Place doc in usr/share/doc/.../html as it is html doc | add an entry
    in doc-base

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 01:18:55 +0100

=== debian/watch ===
version=3
http://sf.net/camomile/camomile-([0-9].*)\.tar\.bz2

## camomile 1.0.1

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

all:
	jbuilder build --dev @install

install:
	jbuilder install $(INSTALL_ARGS)

uninstall:
	jbuilder uninstall $(INSTALL_ARGS)

reinstall: uninstall reinstall

test:
	jbuilder runtest --dev

clean:
	jbuilder clean

# unfortunately we cannot turn on warnings in development because of 4.02.3
all-supported-ocaml-versions:
	jbuilder build --workspace jbuild-workspace.dev

.PHONY: all-supported-ocaml-versions all install uninstall reinstall test clean

## camomile 0.8.4

=== debian/changelog ===
camomile (0.8.4-4build2) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Jun 2017 10:09:26 +0100

camomile (0.8.4-4build1) xenial; urgency=medium

  * No-change rebuild against new ocaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Nov 2015 12:55:30 +0000

camomile (0.8.4-4) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 19:53:29 +0100

camomile (0.8.4-3) experimental; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Compile with OCaml >= 4

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 07:56:09 +0200

camomile (0.8.4-2) unstable; urgency=high

  * Team upload.
  * Fix FTBFS with build-arch (Closes: #678722).
  * Set urgency=high for targeted RC bug fix.
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 25 Jun 2012 13:30:04 +0200

camomile (0.8.4-1) unstable; urgency=low

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Jan 2012 15:10:59 +0100

=== debian/control ===
Source: camomile
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1),
 debhelper (>= 7),
 ocaml-nox (>= 4),
 po4a, docbook-xml (>= 4.4), docbook-xsl, libxml2-utils, xsltproc,
 ocaml-findlib (>= 1.4),
 dh-ocaml (>= 0.9.1),
 cppo,
 camlp4
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camomile.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camomile.git
Homepage: http://sourceforge.net/projects/camomile/

Package: libcamomile-ocaml-data
Architecture: all
Suggests: libcamomile-ocaml-dev
Depends: ${misc:Depends}
Description: Unicode data for OCaml
 Camomile is a comprehensive Unicode library for objective caml language.
 The library is currently designed to conform Unicode Standard 3.2.
 .
 This package contains the data needed by camomile.

Package: libcamomile-ocaml-dev
Architecture: any
Depends: libcamomile-ocaml-data (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
  ${ocaml:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Unicode library for OCaml
 Camomile is a comprehensive Unicode library for objective caml language.
 The library is currently designed to conform Unicode Standard 3.2.
 .
 Normalisers (NFD, NFKD, NFC, NFKC) and collator (string comparison) pass
 the conformance tests defined Unicode Technical Reports. Collator is also
 tested to Canadian, Thai and Japanese standards with their locales.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for camomile package
# Copyright (C) 2006-2008 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

include /usr/share/cdbs/1/rules/ocaml.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include $(CURDIR)/debian/mk/docbook-manpage.mk

PACKAGE_DEV := libcamomile-ocaml-dev
DESTDIR_DEV := $(CURDIR)/debian/$(PACKAGE_DEV)

PACKAGE_COMMON := libcamomile-ocaml-data
DESTDIR_COMMON := $(CURDIR)/debian/$(PACKAGE_COMMON)

DEB_MAKE_CLEAN_TARGET    := clean
DEB_MAKE_BUILD_TARGET    := all dochtml
DEB_MAKE_INSTALL_TARGET  := install \
                            OCAMLFIND_INSTALL_FLAGS="-ldconf  ignore \
                               -destdir \"$(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)\"" \
                            DATADIR="$(DESTDIR_COMMON)/usr/share/" \
                            BINDIR="$(DESTDIR_DEV)/usr/bin/"

DEB_CONFIGURE_EXTRA_FLAGS := --datadir=/usr/share

PO4A_SOURCES := $(CURDIR)/debian/xml-man/po4a/po4a.cfg

DOCBOOK_MANPAGE_SOURCES := $(CURDIR)/debian/xml-man/en/camomilecharmap.xml  \
                           $(CURDIR)/debian/xml-man/en/camomilelocaledef.xml

DOCBOOK_MANPAGE_EXTRA_SOURCES := $(CURDIR)/debian/xml-man/en/license.xml      \
                                 $(CURDIR)/debian/xml-man/en/refentryinfo.xml

clean::
	-$(RM) '$(CURDIR)/Makefile'
	-$(RM) -r '$(CURDIR)/dochtml'

## camomile 0.8.5

=== debian/changelog ===
camomile (0.8.5-1build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 11:45:48 +0200

camomile (0.8.5-1build1) bionic; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:33:02 +0200

camomile (0.8.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and watch to point to github
  * Import upstream fix for OCaml 4.05
  * Update Vcs-*
  * Bump debhelper compat to 10
  * Remove empty directory /usr/bin from libcamomile-ocaml-dev

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jul 2017 10:13:05 +0200

=== debian/watch ===
version=3
https://github.com/yoriyuki/Camomile/releases .*/camomile-([0-9.]+)\.tar\.bz2

## camomile 1.0.1

=== debian/changelog ===
camomile (1.0.1-5) unstable; urgency=medium

  * Team upload
  * Remove camlp4 from Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Aug 2019 11:39:53 +0200

camomile (1.0.1-4) unstable; urgency=low

  * Rebuild for source-only upload
  * Update maintainer email

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 14 Jul 2019 07:03:04 +0200

camomile (1.0.1-3) unstable; urgency=medium

  * Remove build path in compiled artifacts (Closes: #922271)

 -- Kyle Robbertze <krobbertze@gmail.com>  Fri, 15 Feb 2019 08:21:51 +0200

camomile (1.0.1-2) unstable; urgency=medium

  * Use dune package instead of jbuilder
  * Remove broken symlinks (Closes: #919837)
  * Drop zh__PINYIN locale (Closes: #918562, #918563)
  * Install files in the correct location (Closes: #919658)
  * Bump Standards-Version to 4.3.0 (no change)

 -- Kyle Robbertze <krobbertze@gmail.com>  Tue, 29 Jan 2019 12:28:38 +0200

camomile (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Add new uploader (Closes: #717786)
  * Bump Standards-Version (changed VCS-* to use salsa)
  * Move copyright to machine readable format
  * Update watch file to correctly find new releases
  * Bump dependency versions
  * Update Portuguese translation (Closes: #758118), thanks to Américo Monteiro
  * Add German manuall translations (Closes: #865968), thanks to Chris Leick
  * Drop stale patches
  * Restructured installed files to reflect new upstream structure
  * Move to debhelper from CDBS

 -- Kyle Robbertze <krobbertze@gmail.com>  Sat, 10 Nov 2018 20:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,29 @@
 Source: camomile
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1),
- debhelper (>= 7),
- ocaml-nox (>= 4),
- po4a, docbook-xml (>= 4.4), docbook-xsl, libxml2-utils, xsltproc,
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Kyle Robbertze <paddatrapper@debian.org>
+Build-Depends:
+ cppo,
+ debhelper (>= 10),
+ dh-ocaml (>= 0.9.1),
+ docbook-xml (>= 4.4),
+ docbook-xsl,
+ dune (>= 1.6.2),
+ libxml2-utils,
+ po4a,
  ocaml-findlib (>= 1.4),
- dh-ocaml (>= 0.9.1),
- cppo,
- camlp4
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camomile.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camomile.git
-Homepage: http://sourceforge.net/projects/camomile/
+ ocaml-nox (>= 4.02.3),
+ opam-installer,
+ xsltproc
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/ocaml-team/camomile.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/camomile
+Homepage: https://github.com/yoriyuki/Camomile
 
 Package: libcamomile-ocaml-data
 Architecture: all
+Multi-Arch: foreign
 Suggests: libcamomile-ocaml-dev
 Depends: ${misc:Depends}
 Description: Unicode data for OCaml

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for camomile package
# Copyright (C) 2006-2008 Sylvain Le Gall <gildor@debian.org>
#				2018 Kyle Robbertze <krobbertze@gmail.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

DEB_CONFIGURE_EXTRA_FLAGS := --share=$(DESTDIR)/usr/share
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

PO4A_SOURCES := $(CURDIR)/debian/xml-man/po4a/po4a.cfg

PO4A_BUILD_FLAGS:= --rm-backups

DOCBOOK_MANPAGE_XSLTPROC_FLAGS := --nonet --xinclude --param man.charmap.use.subset 0
DOCBOOK_MANPAGE_XSLTPROC_XSL := /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

DOCBOOK_MANPAGE_SOURCES := $(CURDIR)/debian/xml-man/en/camomilecharmap.xml  \
                           $(CURDIR)/debian/xml-man/en/camomilelocaledef.xml \
			   $(CURDIR)/debian/xml-man/de/camomilecharmap.xml  \
                           $(CURDIR)/debian/xml-man/de/camomilelocaledef.xml \
			   $(CURDIR)/debian/xml-man/pt/camomilecharmap.xml  \
                           $(CURDIR)/debian/xml-man/pt/camomilelocaledef.xml

%:
	dh $@ --with ocaml

override_dh_autoreconf:
	ocaml configure.ml

override_dh_auto_configure:
	ocaml configure.ml

override_dh_auto_build:
	[ -f debian/autoreconf.before ] || dh_autoreconf
	jbuilder build @install --verbose

override_dh_ocamldoc:
	po4a $(PO4A_BUILD_FLAGS) $(PO4A_SOURCES)
	xsltproc $(DOCBOOK_MANPAGE_XSLTPROC_FLAGS) -o $(CURDIR)/debian/manpages/ \
		$(DOCBOOK_MANPAGE_XSLTPROC_XSL) $(DOCBOOK_MANPAGE_SOURCES)

override_dh_auto_test:
	true

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	jbuilder install --prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR) --verbose

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_clean:
	dh_autoreconf_clean
	dh_clean
	rm -f debian/camomilecharmap*1 debian/camomilelocaledef*1
	rm -rf debian/xml-man/pt
	rm -rf debian/xml-man/de

## camomile 1.0.2

=== debian/changelog ===
camomile (1.0.2-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Build-depend on ocaml-dune
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Sep 2020 11:58:40 +0200

camomile (1.0.2-2) unstable; urgency=medium

  * Team upload
  * Call "dune build" with -p to not treat warning as errors

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2019 05:13:10 +0200

camomile (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * Bump Standards-Version to 4.4.0 (no change)
  * Bump compat to 12
  * Refresh patches
  * Rename jbuilder to dune
  * Explicitly list files not installed

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 11 Aug 2019 13:59:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends:
- cppo,
- debhelper (>= 10),
- dh-ocaml (>= 0.9.1),
- docbook-xml (>= 4.4),
- docbook-xsl,
- dune (>= 1.6.2),
- libxml2-utils,
- po4a,
- ocaml-findlib (>= 1.4),
- ocaml-nox (>= 4.02.3),
- opam-installer,
- xsltproc
-Standards-Version: 4.3.0
+Build-Depends: cppo,
+               debhelper-compat (= 13),
+               dh-ocaml (>= 0.9.1),
+               docbook-xml (>= 4.4),
+               docbook-xsl,
+               ocaml-dune (>= 1.6.2),
+               libxml2-utils,
+               ocaml-findlib (>= 1.4),
+               ocaml-nox (>= 4.02.3),
+               opam-installer,
+               po4a,
+               xsltproc
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camomile.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camomile
 Homepage: https://github.com/yoriyuki/Camomile
@@ -35,9 +35,9 @@
 Package: libcamomile-ocaml-dev
 Architecture: any
 Depends: libcamomile-ocaml-data (= ${source:Version}),
-  ${misc:Depends},
-  ${shlibs:Depends},
-  ${ocaml:Depends}
+         ${misc:Depends},
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Unicode library for OCaml
@@ -47,4 +47,3 @@
  Normalisers (NFD, NFKD, NFC, NFKC) and collator (string comparison) pass
  the conformance tests defined Unicode Technical Reports. Collator is also
  tested to Canadian, Thai and Japanese standards with their locales.
-

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/camomile-$1\.tar\.gz/ \
  https://github.com/yoriyuki/Camomile/tags .*/v?(\d\S+)\.tar\.gz

## camomile 1.0.2%2B2

=== debian/changelog ===
camomile (1.0.2+2-1) unstable; urgency=medium

  * Team upload
  * Change upstream tarball, with properly set version number
  * Fix debian/watch to follow the correct upstream tarballs
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Jan 2022 10:25:46 +0100

## camomile 1.0.2+2

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

all:
	dune build @install

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

reinstall: uninstall reinstall

test:
	dune runtest

clean:
	dune clean

# unfortunately we cannot turn on warnings in development because of 4.02.3
all-supported-ocaml-versions:
	dune build --workspace dune-workspace.dev

.PHONY: all-supported-ocaml-versions all install uninstall reinstall test clean

=== debian/changelog ===
camomile (1.0.2+2-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 10:38:56 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                ocaml-dune (>= 1.6.2),
                libxml2-utils,
                ocaml-findlib (>= 1.4),
-               ocaml-nox (>= 4.02.3),
+               ocaml,
                opam-installer,
                po4a,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camomile.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camomile

## camomile 2.0.0

=== debian/changelog ===
camomile (2.0.0-2build9) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:47:00 +0200

camomile (2.0.0-2build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:24:57 +0200

camomile (2.0.0-2build7) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:28:39 +0100

camomile (2.0.0-2build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:02:38 +0100

camomile (2.0.0-2build5) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:40:52 +0200

camomile (2.0.0-2build4) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2024 08:46:05 +0200

camomile (2.0.0-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 16:32:41 +0200

camomile (2.0.0-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2024 19:20:29 +0200

camomile (2.0.0-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:18:17 +0100

camomile (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Drop massive locale that causes FTBFS on some architectures

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Oct 2023 08:49:33 +0200

camomile (2.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - update Homepage, debian/watch
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Oct 2023 06:59:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: cppo,
                debhelper-compat (= 13),
-               dh-ocaml (>= 0.9.1),
-               docbook-xml (>= 4.4),
+               dh-ocaml (>= 1.2),
+               docbook-xml,
                docbook-xsl,
                ocaml-dune (>= 1.6.2),
+               libdune-ocaml-dev (>= 3.10.0-2~),
+               libcamlp-streams-ocaml-dev,
                libxml2-utils,
-               ocaml-findlib (>= 1.4),
+               ocaml-findlib,
                ocaml,
                opam-installer,
                po4a,
                xsltproc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camomile.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camomile
-Homepage: https://github.com/yoriyuki/Camomile
+Homepage: https://github.com/ocaml-community/Camomile
 
 Package: libcamomile-ocaml-data
 Architecture: all
